#time-box {
  height: 100vh;
  width: 100vw;
  text-align: center;
  position: absolute;
  user-select: none;
}

#time-box:before {
  display: inline-block;
  width: 0;
  content: '';
  height: 100%;
  vertical-align: middle;
}

#time {
  display: inline-block;
  vertical-align: middle;
  font-size: 5rem;
  font-weight: bold;
  text-transform: uppercase;
  color: white;
  padding: 0 25px;
}

#time-box.time-box-left {
  text-align: left;
}
#time-box.time-box-right {
  text-align: right;
}

#time.time-top {
  vertical-align: top;
}
#time.time-bot {
  vertical-align: bottom;
}

#date {
  font-size: 1rem;
  margin-top: -1.3rem;
  text-align: center;
}
